function MISView() {
	this.name = "MISView";

	this.__construct = function __construct() {

	}
	
	this.setComp = function setComp(p_prop,p_value) {
		Cookie.create(MISUsermenu.__toString()+"_"+p_prop,p_value);
	}
	
	this.getComp = function getComp(p_prop) {
		return Cookie.read(MISUsermenu.__toString()+"_"+p_prop);
	}
	
	this.__toString = function __toString() {
		return MISUsermenu.name;
	}
	
	this.setNavContainer = function setNavContainer(p_html) {
		Browser.getElementById('navContainer').innerHTML = p_html;
	}
	
	this.setSectionMenu = function setSectionMenu(p_html) {
		Browser.getElementById('sectionMenuScrollContainer').innerHTML = p_html;
	}
	
	this.setContentMenu = function setContentMenu(p_html) {
		Browser.getElementById('contentMenuScrollContainer').innerHTML = p_html;
	}
}

var MISView = new MISView();

